#define _H_CParticle

#include "CAfterDark.h"

struct CParticle : CAfterDark
{
	float Xo, Yo, X, Y, Vxo, Vyo, T, G;
	
	OSErr Init(RgnHandle blankRgn, GMParamBlockPtr params);
	OSErr Blank(RgnHandle blankRgn, GMParamBlockPtr params);
	OSErr DrawFrame(RgnHandle blankRgn, GMParamBlockPtr params);
	OSErr Close(RgnHandle blankRgn, GMParamBlockPtr params);
	void InitialConditions(GMParamBlockPtr params);
};

#define GRAVITY_CONTROL		0
#define DELTAT_CONTROL		1
#define MAXVXO_CONTROL		2
#define MAXVYO_CONTROL		3

#define ABS(x) (x > 0 ? x : -x)