/*	put.h
	This is a set of formatting routines for use by dcmds.
	Copyright  1988 Apple Computer, Inc.  All rights reserved.

	Modification history:
		 5Oct sad		written from file.c
 */

#ifndef __put__
#define __put__

void PutInit();
void PutLine();
void PutChar(char c);
void PutSpace();
void PutSpacesTo(int pos);
void PutBytesTruncTo(const char* s, int len, int endpos);
void PutBytesTo(const char* s, int len, int endpos);
void PutCStrTruncTo(const char* s, int endpos);
void PutCStrTo(const char* s, int endpos);
void PutCStr(const char* s);
void PutPStrTruncTo(const char* s, int endpos);
void PutPStrTo(const char* s, int endpos);
void PutPStr(const char* s);
void PutUHexZTo(unsigned long i, int nz, int pos);
void PutUHexZ(unsigned long i, int nz);
void PutUHexWord(unsigned short h);
void PutUDecTo(unsigned long i, int endpos);
void PutUDec(unsigned long i);
void PutOSType(unsigned long typ);

#endif
